USE DWH_staging
GO

IF ( Schema_ID('Import') IS NULL )
EXEC( 'CREATE SCHEMA  [Import]  AUTHORIZATION [dbo]' );
GO

IF ( Schema_ID('Clean') IS NULL )
EXEC( 'CREATE SCHEMA  [Clean]  AUTHORIZATION [dbo]' );
GO
----
IF ( Object_ID('Import.Verkaufszahlen') IS NULL )
CREATE TABLE Import.Verkaufszahlen(
             Zeit       nvarchar(100)
		   , Vertreter  nvarchar(100)
		   , Buch       nvarchar(100)
		   , Stueck     nvarchar(100)
		   )
GO

IF ( Object_ID('Import.Buecher') IS NULL )
CREATE TABLE Import.Buecher(
             BuchID      nvarchar(100)
           , Buchtitel   nvarchar(100)
		   , Autor       nvarchar(100)
		   , Reihe       nvarchar(100)
		   , ISBN        nvarchar(100)
		   , Preis       nvarchar(100)
		   )

----
IF ( Object_ID('Clean.Verkaufszahlen') IS NULL )
CREATE TABLE Clean.Verkaufszahlen(
             Zeit       datetime
		   , Vertreter  int
		   , Buch       int
		   , Stueck     int
		   )
GO

IF ( Object_ID('Clean.Buecher') IS NULL )
CREATE TABLE Clean.Buecher(
             BuchID      int
           , Buchtitel   nvarchar(255)
		   , Autor       int
		   , Reihe       int
		   , ISBN        nvarchar(20)
		   , Preis       decimal(10,2)
		   )

----
----