USE DWH_tool
GO

-- 1st step
-- >>  catalog.execution_data_statistics
SELECT *
FROM   SSISDB.catalog.execution_data_statistics


-- 2nd step
-- custom improvement
CREATE FUNCTION dbo.tfn_SSISDB_execution_data_statistics 
                ( execution_id   bigint = null )
RETURNS 
@RETURN_execution_data_statistics TABLE 
(
    execution_id 	     bigint
  ,	package_name 	     nvarchar(260) 	 
  , task_name 	         nvarchar(4000) 	 
  , dataflow_path_name 	 nvarchar(4000) 	 
  , rows_sent 	         bigint 	        
)
AS
BEGIN
    IF  @execution_id IS NOT NULL
		INSERT  @RETURN_execution_data_statistics
		SELECT  execution_id, package_name, task_name, dataflow_path_name, SUM(rows_sent) as 'rows_sent'
		FROM    SSISDB.catalog.execution_data_statistics
		WHERE   execution_id = @execution_id
		GROUP   By execution_id, package_name, task_name, dataflow_path_name
	    ORDER   By execution_id, package_name, task_name, dataflow_path_name
    ELSE
	    INSERT  @RETURN_execution_data_statistics
		SELECT  execution_id, package_name, task_name, dataflow_path_name, SUM(rows_sent) as 'rows_sent'
		FROM    SSISDB.catalog.execution_data_statistics
		GROUP   By execution_id, package_name, task_name, dataflow_path_name
	    ORDER   By execution_id, package_name, task_name, dataflow_path_name

    ------
	RETURN 
END  -- end Function

--------------------
-- execution

SELECT *
FROM   _toolDB.dbo.tfn_SSISDB_execution_data_statistics( default )
WHERE  execution_id > 8
--WHERE  dataflow_path_name like '00%'
--   or  dataflow_path_name like '99%'

-------------------

-- double-check with DMWs
-- -- Table + rowcnt
select s.name + '.' + t.name As 'TableName'
     , i.rowcnt              As 'rowcnt'
from   DWH_staging.sys.schemas s
join   DWH_staging.sys.tables t
on     s.schema_id = t.schema_id
join   DWH_staging.sys.sysindexes i
ON     t.object_id = i.id

-------------------------
-------------------------