--  Reports
-- http://technet.microsoft.com/en-us/library/ms174997.aspx

use DWH_tool
GO

CREATE PROC report.usp_JobHistory
AS
BEGIN

DECLARE @JobResult TABLE(
          JobName       sysname
        , JobExecID     int    -- !!
        , instance_id   int
		, step_id       int
		, step_name     sysname
		, run_date      int
		, run_time      int
		, run_duration  int
		, message       nvarchar(4000)
		)

DECLARE @run   int
      , @max   int
DECLARE @JE    int  = 1
DECLARE @tmp   int  = -1

INSERT INTO @JobResult
SELECT j.name   as 'JobName'
     , NULL     as 'JobExecID'
     , h.instance_id
	 , h.step_id
	 , h.step_name
	 , h.run_date
	 , h.run_time
	 , h.run_duration
	 , h.[message]
FROM   msdb.dbo.sysjobs j   
join   msdb.dbo.sysjobhistory h
ON     j.job_id = h.job_id
WHERE  j.name like 'DWH%'
ORDER  by h.instance_id

SELECT @run = min(instance_id) FROM @JobResult
SELECT @max = max(instance_id) FROM @JobResult

WHILE @run <= @max
BEGIN
	SELECT @tmp = step_id FROM @JobResult WHERE instance_id = @run

	IF @tmp > 0 
		UPDATE @JobResult
		   SET JobExecID = @JE
         WHERE instance_id = @run
    ELSE
	BEGIN
		UPDATE @JobResult
		   SET JobExecID = @JE
         WHERE instance_id = @run
		 ----
		 SET @JE = @JE + 1	
	END  -- else   

	----
	SET @run = @run + 1
END  -- end WHILE

-- RETURN
SELECT instance_id
     , JobExecID
	 , JobName
	 , step_name
	 , step_id
	 , run_date
	 , run_time
	 , run_duration		
	 --, dbo.sfn_getExecutionID_from_sysjobhistory( instance_id ) as 'ssisExecID'
	 , ed.*
FROM   @JobResult jr
cross apply dbo.tfn_SSISDB_execution_id_max_rows_sent( 
            dbo.sfn_get_ExecutionID_from_sysjobhistory( instance_id ) ) ed
ORDER  by JobExecID, step_id

END  -- end PROC


--exec report.JobHistory

