--  Reports

CREATE PROC report.usp_JobHistory_details
AS
BEGIN

select ex.project_name
 	 , ex.start_time
	 , ex.end_time
	 , DateDiff( second, ex.start_time, ex.end_time ) As 'Delta_sec'
	 , Convert( char(8), ex.start_time, 112 )         As 'Report_date'
	 --, Datepart( weekday, ex.start_time )             As 'Report_weekday'
	 , Datename( weekday, ex.start_time )             As 'Report_weekday'
	 , ds.*
from   SSISDB.catalog.executions ex
join   DWH_tool.dbo.tfn_SSISDB_execution_data_statistics( default ) ds
ON     ex.execution_id = ds.execution_id

END  -- end Proc
