USE DWH_tool
GO


CREATE VIEW [dbo].[get_Tables_Indexes_Columns]
AS
select t.name    as 'TableName'
     , i.name    as 'IndexName'
	 , i.type_desc
	 , i.fill_factor
	 , c.name    as 'ColumnName'
	 , ic.index_column_id
	 , ic.column_id
from   sys.tables t
join   sys.indexes i
on     t.object_id = i.object_id     
join   sys.index_columns ic
on     i.object_id = ic.object_id
and    i.index_id  = ic.index_id
join   sys.columns c
on     ic.object_id = c.object_id
and    ic.column_id = c.column_id

GO


